twitter4j

## Class UploadedMedia

- java.lang.Object
- - twitter4j.UploadedMedia

All Implemented Interfaces:
  Serializable

    public final class UploadedMedia
    extends Object
    implements Serializable

Represents result of "/1.1/media/upload.json"

Since:
  Twitter4J 4.0.2
Author:
  Hiroaki TAKEUCHI - takke30 at gmail.com
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getImageHeight()`
`String` `getImageType()`
`int` `getImageWidth()`
`long` `getMediaId()`
`int` `getProcessingCheckAfterSecs()`
`String` `getProcessingState()`
`int` `getProgressPercent()`
`long` `getSize()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getImageWidth

    public int getImageWidth()

#### getImageHeight

    public int getImageHeight()

#### getImageType

    public String getImageType()

#### getMediaId

    public long getMediaId()

#### getSize

    public long getSize()

#### getProcessingState

    public String getProcessingState()

#### getProcessingCheckAfterSecs

    public int getProcessingCheckAfterSecs()

#### getProgressPercent

    public int getProgressPercent()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`